//
// Created by Falko Alrik Schmidt on 26.09.23.
//
#include "Ulm_LSM6DS3.h"

Ulm_LSM6DS3::Ulm_LSM6DS3(uint8_t address, TwoWire &wire) : LSM6DS3Class(wire, address) {
    // Nothing more to do here.
}

bool Ulm_LSM6DS3::begin() {
    return LSM6DS3Class::begin();
}

bool Ulm_LSM6DS3::sample(Ulm_LSM6DS3_Sample &sample) {
    return  this->readAcceleration(sample.accelerationX, sample.accelerationY, sample.accelerationZ) == 1 &&
            this->readGyroscope(sample.gyroscopeX, sample.gyroscopeY, sample.gyroscopeZ);
}
